> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/api/api-endpoints/adtool/api-adtool-restore-adtool.md).

# /api/adtool/restore‑adtool

## PATCH /api/adtool/restore-adtool

> Delete adtool

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/adtool/restore-adtool"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"patch_adtool_restore-adtool":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["adtoolid","adtool_type_id"]}}},"paths":{"/api/adtool/restore-adtool":{"patch":{"description":"Delete adtool","tags":["/api/adtool/restore-adtool"],"parameters":[{"name":"adtoolid","in":"query","schema":{"type":"string"},"required":true},{"name":"adtool_type_id","in":"query","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/patch_adtool_restore-adtool"}},"application/json":{"schema":{"$ref":"#/components/schemas/patch_adtool_restore-adtool"}},"application/xml":{"schema":{"$ref":"#/components/schemas/patch_adtool_restore-adtool"}}}}}}}}}
```
